<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: /home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/AssimpMetadata.cs File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_assimp_metadata_8cs.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">AssimpMetadata.cs File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_metadata.html">TriLib.AssimpMetadata</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an Assimp metadata.  <a href="class_tri_lib_1_1_assimp_metadata.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_tri_lib"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html">TriLib</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a24138cb9cc4ad8f52e30b59bb3cc04cd"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cd">TriLib.AssimpMetadataType</a> { <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda71ded29da8a4515bfd19538042524549">TriLib.AI_BOOL</a> = 0
, <a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda8784f61ba369afb4c631fef5d7530ae2">TriLib.AI_INT32</a> = 1
, <a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda21cc571bfc89240c4066f08046c0b737">TriLib.AI_UINT64</a> = 2
, <a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cdaef56c9b5c99c05324227174f9142832a">TriLib.AI_FLOAT</a> = 3
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda1dc0ca532814178cbf1708a63c03870a">TriLib.AI_DOUBLE</a> = 4
, <a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda2448855dc2a47de07ad4dbd1698afd5e">TriLib.AI_AISTRING</a> = 5
, <a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cda8d3a05b25642914cb28b3a695d6dae8e">TriLib.AI_AIVECTOR3D</a> = 6
<br />
 }</td></tr>
<tr class="memdesc:a24138cb9cc4ad8f52e30b59bb3cc04cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum used to define metadata types.  <a href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cd">More...</a><br /></td></tr>
<tr class="separator:a24138cb9cc4ad8f52e30b59bb3cc04cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_84bbf7b3c7f28a5a18725745e1505219.html">Assets</a></li><li class="navelem"><a class="el" href="dir_1366353f92bfcad57baaadbced04d9dc.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_b1852826b1dcf5519cb0109126b304ac.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_1a655f348dfdb7dab8ca284eb2259249.html">Scripts</a></li><li class="navelem"><a class="el" href="dir_a5bfd893645e54d35af833cce7981279.html">AssetLoader</a></li><li class="navelem"><a class="el" href="dir_8b2e82cbde8aee8a86eebc31a93eac12.html">InternalData</a></li><li class="navelem"><a class="el" href="_assimp_metadata_8cs.html">AssimpMetadata.cs</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
